.Dd November 11, 1997
.Dt UPSD.CONF 5
.Os FreeBSD
.Sh NAME
.Nm upsd.conf
.Nd upsd configuration file
.Sh SYNOPSIS
.Pa /etc/upsd.conf
.Sh DESCRIPTION
.Nm upsd.conf
defines configuration items and events for the Uninterruptable Power
Supply monitoring daemon
.Xr upsd 5 .
The daemon reads 
.Nm upsd.conf
when it starts.  
.Pp
The file uses a format reminiscent of C function declarations.  Each
declaration begins with a keyword, followed by argument(s) and a
series of commands contained within curly braces ({}).  Keywords may
be nested.  Comment lines begin with the hash mark (#).
.Pp
The first keyword in the file must be 
.Sq ups
followed by a set of configuration items for the UPS monitored by the
daemon.  

.Bl -hang -offset indent
.It ups Ar ups-model Po voltage Pc Nm proto Ar protocol { 
.D1 Nm device Ar /dev/cuaaX
.D1 Nm speed Ar speed
.D1 Nm read-timeout Ar seconds
.D1 Nm write-block-size Ar size
.D1 Nm write-block-delay Ar msecs
.D1 Nm queue-size Ar entries

Defines setup information for the UPS.  

.El
.\" extras below here
ups
.Ar ups_model Po Ar voltage Pc
proto
.Ar protocol 
{
.Dl device Ar /dev/cuaaX
.Dl speed Ar speed
.Dl read-timeout Ar seconds
.Dl write-block-size Ar size
.Dl write-block-delay Ar msec
.Dl queue-size Ar entries
}

The keywords are defined as follows:
.Bl -tag -width Ar
.It Ar ups_model
Defines the model of UPS.  The following items are defined: 
.Dl smart-ups for the APC SmartUPS 
.Dl smart-ups-vs for the APC SmartUPS v/s

.It Ar voltage
Sets the voltage this UPS is used under.  Defines constants used to
set the UPS up with.  Model 
.Ar smart-ups
supports 230 and 120 volt operation, while the 
.Ar smart-ups-vs
has only 230 volt constants defined at this time.

.It Ar protocol
Specifies the protocol type of this device.  All APC devices use 
.Dq apc-smart.

.It Ar device
Specifies the serial port the UPS's monitoring cable is connected to.
.It Ar speed
Sets the baudrate the UPS speaks.
.It Ar read-timeout
Sets how long
.Nm upsd
waits for a response to a command.
.It Ar write-block-size
Defines the number of characters to write in a chunk.  The APC UPSs don't have
flow control so the inter-character spacing must be high.
.It Ar write-block-delay
Time in milliseconds to wait between sending blocks.
.It Ar queue-size
Size of event queue in entries.
.El

The ups configuration entry may be followed by one or more event blocks, which define periodic commands to send or reactions to triggers sent by the UPS.

